Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.webgui.persistence.impl.utility
Class Class2ModelInstanceConverter

    java.lang.Object
      kieker.webgui.persistence.impl.utility.Class2ModelInstanceConverter

    @Service
    public final class Class2ModelInstanceConverter

extends Object

This service provides methods to convert a given `Class` instance (the one from a reflection loaded repository or plugin) to a meta model instance. This is done by using the annotations and methods which will be accessed via the reflection API.

Author:
  Nils Christian Ehmke

Constructor Summary
`Class2ModelInstanceConverter()` Default constructor.

Method Summary
`FilterDecorator` | `convertFilterClass2ModelInstance(Class<?> clazz, ClassContainer classContainer)` Converts the given `AbstractFilterPlugin` instance into a model instance using the given parameters.
`ReaderDecorator` | `convertReaderClass2ModelInstance(Class<?> clazz, ClassContainer classContainer)` Converts the given `AbstractReaderPlugin` class instance into a model instance using the given parameters.
`RepositoryDecorator` | `convertRepositoryClass2ModelInstance(Class<?> clazz, ClassContainer classContainer)` Converts the given `AbstractRepository` instance into a model instance using the given parameters.
`VisualizationDecorator` | `convertVisualizationClass2ModelInstance(Class<?> clazz, ClassContainer classContainer)`
`boolean` | `isProgrammaticOnly(Class<?> clazz, ClassContainer classContainer)` Tells whether the given class is "programmaticOnly".

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Class2ModelInstanceConverter

    public Class2ModelInstanceConverter()

  Default constructor. Do not use this constructor. This bean is Spring managed.

Method Detail

### convertReaderClass2ModelInstance

    public ReaderDecorator convertReaderClass2ModelInstance(Class<?> clazz,
                                                            ClassContainer classContainer)

  Converts the given `AbstractReaderPlugin` class instance into a model instance using the given parameters.

  Parameters:
    `clazz` - The class to convert.
    `classContainer` - The container which will be used during the reflection calls.
  Returns:
    A model instance representing the given class as a meta model component.

### convertFilterClass2ModelInstance

    public FilterDecorator convertFilterClass2ModelInstance(Class<?> clazz,
                                                            ClassContainer classContainer)

  Converts the given `AbstractFilterPlugin` instance into a model instance using the given parameters.

  Parameters:
    `clazz` - The class to convert.
    `classContainer` - The container which will be used during the reflection calls.
  Returns:
    A model instance representing the given class as a meta model component.

### convertVisualizationClass2ModelInstance

    public VisualizationDecorator convertVisualizationClass2ModelInstance(Class<?> clazz,
                                                                          ClassContainer classContainer)

### convertRepositoryClass2ModelInstance

    public RepositoryDecorator convertRepositoryClass2ModelInstance(Class<?> clazz,
                                                                    ClassContainer classContainer)

  Converts the given `AbstractRepository` instance into a model instance using the given parameters.

  Parameters:
    `clazz` - The class to convert.
    `classContainer` - The container which will be used during the reflection calls.
  Returns:
    A model instance representing the given class as a meta model component.

### isProgrammaticOnly

    public boolean isProgrammaticOnly(Class<?> clazz,
                                      ClassContainer classContainer)

  Tells whether the given class is "programmaticOnly".

  Parameters:
    `clazz` - The class of the plugin or repository.
    `classContainer` - The container which will be used for the reflection access.
  Returns:
    The state of the programmaticOnly flag of the plugin or repository.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All rights reserved.